## initramfs-tools 0.131ubuntu15

=== debian/changelog ===
initramfs-tools (0.131ubuntu15) cosmic; urgency=medium

  * Cherry-pick change from git to quiet error from rmdir on every call.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 15 Oct 2018 11:54:59 -0600

initramfs-tools (0.131ubuntu14) cosmic; urgency=medium

  * hooks/framebuffer: manual_add_modules vboxvideo to support graphical
    boot in VirtualBox. LP: #1796822

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 10 Oct 2018 11:06:00 +0100

initramfs-tools (0.131ubuntu13) cosmic; urgency=medium

  * scripts/local-premount/fixrtc:
    - Hide stderr when running "hwclock -s" to avoid ugly message:
        can't open '/dev/misc/rtc': No such file or directory
      on pi2 (and possible more PIs) where there is no /dev/rtc of
      any kind.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 08 Oct 2018 11:38:36 +0200

initramfs-tools (0.131ubuntu12) cosmic; urgency=medium

  * Do not include graphical drivers when FRAMEBUFFER is not set (LP: #1561643)

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Thu, 13 Sep 2018 08:49:11 -0300

initramfs-tools (0.131ubuntu11) cosmic; urgency=medium

  * debian/initramfs-tools.postinst: remove orphaned old-dkms initrd files
    in /boot. (LP: #1791959)

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Wed, 12 Sep 2018 12:06:58 +0000

initramfs-tools (0.131ubuntu10) cosmic; urgency=medium

  * Tidy up configure_networking a bit:
    - Just let dhclient scan the interfaces if none is specified for IPv6.
    - Do not handle ip=rarp specially (ipconfig hasn't supported it for some
      time)
    - Call dhclient in simple cases for IPv4 (this makes some small observable
      changes -- for example ip=bootp will now make a DHCP request too -- but
      nothing that seems important).
    - Do not let dhclient processes hang around past the pivot and have them
      respect the shorter timeouts ipconfig was given.
  * debian/tests/control: add some dependencies that happened to already be
    installed on the test runners used so far.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Thu, 06 Sep 2018 14:23:52 +1200

initramfs-tools (0.131ubuntu9) cosmic; urgency=medium

  [ John Gallagher ]
  * Work out the kernel modules required to support ZFS filesystems and add
    them as necessary. (LP: #1661629)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 20 Aug 2018 10:52:20 -0400

initramfs-tools (0.131ubuntu8) cosmic; urgency=medium

  * d/tests: only run on amd64 and i386 for now.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 09 Aug 2018 16:12:44 +1200

initramfs-tools (0.131ubuntu7) cosmic; urgency=medium

  * d/tests: Fix kernel location again.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 09 Aug 2018 15:01:19 +1200

initramfs-tools (0.131ubuntu6) cosmic; urgency=medium

  * d/tests: Use virtio for nic as it is supported everywhere, find kernel on
    ppc64el, explicitly depend on curl, pass -machine virt on arm64.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 09 Aug 2018 12:05:33 +1200

initramfs-tools (0.131ubuntu5) cosmic; urgency=medium

  * d/tests/control: depend on qemu-system, not just qemu-system-x86.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 09 Aug 2018 11:16:12 +1200

initramfs-tools (0.131ubuntu4) cosmic; urgency=medium

  * Add some autopkgests for the network configuration processing.
    (LP: #1786130)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 08 Aug 2018 12:33:21 +1200

initramfs-tools (0.131ubuntu3) cosmic; urgency=medium

  * Drop including mlx4 and mlx5 InfiniBand modules. Version 0.131 uses
    hidden_dep_add_modules() for conditional inclusion instead.

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Wed, 25 Jul 2018 11:39:00 +0200

initramfs-tools (0.131ubuntu2) cosmic; urgency=medium

  * Fix permissions on /usr/share/initramfs-tools/init, which were mangled
    by merge-o-matic.  LP: #1782854.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 20 Jul 2018 22:54:00 -0400

initramfs-tools (0.131ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Breaks isc-dhcp-client << 4.3.3-5ubuntu14, since we're
      calling the dhclient binary in scripts/functions now.
    - Retain netboot= compatibility option.
    - Retain cryptopts= compatibility option.
    - Make busybox-initramfs a real runtime dependency, fixing
      kernel install failures with cryptsetup
    - support mounting of loopback devices via loop*= parameters
    - Drop hooks/keymap and associated code; console-setup takes care of
      this in Ubuntu.
    - Don't load keymaps unless we're loading a framebuffer; but set the
      keymap before giving a root shell.
    - Set takeover=1 in update-initramfs.
    - Add a new 'fixrtc' script that tries to set the system clock forward
      based on the last mount time of the root disk; without this kludge,
      systems without a working RTC will end up in a perpetual reboot loop.
    - Set hostname at boot, for the benefit of mdadm autoassembly.
    - Allow scripts and hooks to specify OPTION=VAR, and unless VAR is set
      to something other than "n", the script will not be included.
    - Restore the framebuffer hook and script, copying KMS and other
      framebuffer drivers into the initramfs, but make them optional; you
      need to set FRAMEBUFFER=y for these to be included.
    - Add hwaddr= alias for BOOTIF= for compatibility.
    - Automatically blacklist vga16fb when vga= or video= specified on
      kernel command-line.
    - add squashfs to list of 'most' modules
    - Add vfat modules to the initramfs.
    - Add Hyper-V paravirtualised device drivers to the initramfs to allow
      booting of stock images in a Hyper-V guest.
    - ppc64el: enable PowerPC NX Crypto Coprocessor
    - Add mountroot failure support, to allow meaningful messages when no
      root device can be found.
    - Increase rootdelay to 180s on powerpc/ppc64/ppc64el

