## initramfs-tools 0.131ubuntu15.1

=== debian/changelog ===
initramfs-tools (0.131ubuntu15.1) cosmic-security; urgency=medium

  * scripts/functions: include a new option to skip enslaved network
    devices. (LP: #1814818)
      Include the new variable NETWORK_SKIP_ENSLAVED. When set to a
      value different than "0", this variable will cause any enslaved
      network devices to be skipped from the list of netbootable
      devices. This variable can be set via the configuration files
      under /etc/initramfs-tools/ or via any configuration file under
      the initrd directory /conf/conf.d/ via a hook script.

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Tue, 05 Feb 2019 20:08:09 +0000
