## initramfs-tools 0.131ubuntu15.2

=== debian/changelog ===
initramfs-tools (0.131ubuntu15.2) cosmic; urgency=medium

  * Add modules for nvme path components on multipath nvme. LP: #1778844

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Tue, 16 Apr 2019 21:19:25 -0300
