=== debian/tests/control ===
Tests: net
Depends: initramfs-tools, linux-image-generic, python3, qemu-system, curl, lsb-release, parted
Restrictions: needs-root, allow-stderr
