## initramfs-tools 0.131ubuntu19

=== debian/changelog ===
initramfs-tools (0.131ubuntu19) disco; urgency=medium

  * Add modules for nvme path components on multipath nvme. LP: #1778844

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Tue, 26 Mar 2019 14:49:29 -0300

initramfs-tools (0.131ubuntu18) disco; urgency=medium

  * Explicitly record net autopkgtest dependency on isc-dhcp-client.
  * Make errors in net autopkgtest a little more obvious.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 14 Mar 2019 09:28:46 +1300

initramfs-tools (0.131ubuntu17) disco; urgency=medium

  * Fix PATH to include /usr/local. LP: #1814355

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 12 Feb 2019 13:16:06 +0000

initramfs-tools (0.131ubuntu16) disco; urgency=medium

  * scripts/functions: include a new option to skip enslaved network
    devices. (LP: #1802591)
      Include the new variable NETWORK_SKIP_ENSLAVED. When set to a
      value different than "0", this variable will cause any enslaved
      network devices to be skipped from the list of netbootable
      devices. This variable can be set via the configuration files
      under /etc/initramfs-tools/ or via any configuration file under
      the initrd directory /conf/conf.d/ via a hook script.

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Mon, 28 Jan 2019 10:02:53 -0200
