=== debian/tests/control ===
Tests: net
Depends: curl,
         initramfs-tools,
         isc-dhcp-client,
         linux-image-generic,
         lsb-release,
         parted,
         python3,
         qemu-system
Restrictions: needs-root, allow-stderr
