## initramfs-tools 0.131ubuntu19.2

=== debian/changelog ===
initramfs-tools (0.131ubuntu19.2) disco; urgency=medium

  * Add support for panic=-1 value (LP: #1831252)

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 07 Oct 2019 12:46:48 +0200

initramfs-tools (0.131ubuntu19.1) disco; urgency=medium

  * Patch unmkinitramfs to cat possible lz4 archives first, as lz4 is
    particular about enforcing .lz4 file extensions when operating on
    files. LP: #1832108

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 11 Jun 2019 16:17:51 +0100
