## initramfs-tools 0.133ubuntu10

=== debian/changelog ===
initramfs-tools (0.133ubuntu10) eoan; urgency=medium

  * Add support for panic=-1 value (LP: #1831252)

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 05 Sep 2019 12:31:43 +0200

initramfs-tools (0.133ubuntu9) eoan; urgency=medium

  * Add support for creating VLANs via vlan=eth0.1:eth0 on kernel
    commandline, and as VLAN= conf.d snippet. LP: #1382054

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 14 Jun 2019 14:46:05 +0100

initramfs-tools (0.133ubuntu8) eoan; urgency=medium

  * Switch back to lz4 by default.
  * Patch unmkinitramfs to cat possible lz4 archives first, as lz4 is
    particular about enforcing .lz4 file extensions when operating on
    files. LP: #1832108

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 10 Jun 2019 00:21:17 +0100

initramfs-tools (0.133ubuntu6) eoan; urgency=medium

  * Revert lz4 by default, and switch to gzip, as lsinitramfs and
    unmkinitramfs tools fails on lz4 compressed initrds. Regression bug
    https://bugs.launchpad.net/ubuntu/+source/initramfs-tools/+bug/1832108

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 08 Jun 2019 23:03:00 +0100

initramfs-tools (0.133ubuntu5) eoan; urgency=medium

  * Correctly serialize previously absent static ip configuration
    (declared as protocol 'none' by ipconfig) into runtime netplan
    yaml. LP: #1832042
  * Adjust testsuite sample file to match reality
  * Set executable bit on resume script in local-premount

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 07 Jun 2019 21:56:33 +0100

initramfs-tools (0.133ubuntu4) eoan; urgency=medium

  * Switch default initramfs compression to lz4, faster than the current
    default gzip. LP: #1831736

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 05 Jun 2019 13:23:29 +0100

initramfs-tools (0.133ubuntu3) eoan; urgency=medium

  * Auto activate qeth devices on s390x hosts, when using ip= ip6= command
    lines.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 22 May 2019 00:46:49 +0100

initramfs-tools (0.133ubuntu2) eoan; urgency=medium

  * Use set -a/+a around loading conf snippets, to autoexport hook
    configuration variables. This thus allows packaged hooks to configure
    each other.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 17 May 2019 09:51:24 +0200

initramfs-tools (0.133ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Breaks isc-dhcp-client << 4.3.3-5ubuntu14, since we're
      calling the dhclient binary in scripts/functions now.
    - Make busybox-initramfs a real runtime dependency, fixing
      kernel install failures with cryptsetup
    - support mounting of loopback devices via loop*= parameters
    - Drop hooks/keymap and associated code; console-setup takes care of
      this in Ubuntu.
    - Add a new 'fixrtc' script that tries to set the system clock forward
      based on the last mount time of the root disk; without this kludge,
      systems without a working RTC will end up in a perpetual reboot loop.
    - Set hostname at boot, for the benefit of mdadm autoassembly.
    - Allow scripts and hooks to specify OPTION=VAR, and unless VAR is set
      to something other than "n", the script will not be included.
    - Restore the framebuffer hook and script, copying KMS and other
      framebuffer drivers into the initramfs, but make them optional; you
      need to set FRAMEBUFFER=y for these to be included.
    - Add hwaddr= alias for BOOTIF= for compatibility.
    - Automatically blacklist vga16fb when vga= or video= specified on
      kernel command-line.
    - add squashfs to list of 'most' modules
    - Add vfat modules to the initramfs.
    - Add Hyper-V paravirtualised device drivers to the initramfs to allow
      booting of stock images in a Hyper-V guest.
    - ppc64el: enable PowerPC NX Crypto Coprocessor
    - Add mountroot failure support, to allow meaningful messages when no
      root device can be found.
    - resume: only resume when the partition contains a resume image
    - Add new initramfs-tools-bin package containing a binary that uses
      libudev to wait for udev to create the udev device, or wait for udev
      to finish processing if we catch it in the act, and returns the
      filesystem type as already probed by udev.
    - local_device_setup: use wait-for-root if it supports the device alias
      type
    - Incorporate rzscontrol from compcache so that we can control current
      ramzswap devices.
    - Support loading compcache from the initramfs.
    - debian/control: update Vcs-* links for Ubuntu.
    - Add support for uppercase and lowercase uuids.
    - init: Don't interpret "rootdelay" as a static sleep.
    - scripts/local: Let rootdelay determine the wait-for-root timeout.
    - Increase rootdelay to 180s on powerpc/ppc64/ppc64el
    - scripts/functions: by default, when setting up networking, use dhclient
      if we're asked to do DHCP explicitly, or if we otherwise are expected
      to do things automatically.
    - scripts/functions: make sure we can try to start all available and
      suitable interfaces if ip= isn't set when setting up the network, and
      exit as soon as we get an IP address.
    - scripts/functions: for configure_networking:
      - split out IPv6 options in its own cmdline parameter: ip6= ; always use
        dhclient in this case if the value set is anything other than 'off' or
        'none'. Furthermore, parse anything other than 'on', 'dhcp' or 'any'
        as the name of an interface.
      - rework the stop conditions so that we properly handle the ROUNDTTT
        loop, timing out after a short period of time and trying again after
        a short sleep.
      - add a 'done' parameter for both ip= and ip6= so that we can properly
        exit the ROUNDTTT loop once we know that either there is no work to
        do, or that we've achieved what we wanted (that is, to bring up IPv4,
        IPv6, or possibly both).
      - return ip=dhcp to the ipconfig use case; if set, then ipconfig will

