## initramfs-tools 0.133+deb10u1+nmu1

=== debian/changelog ===
initramfs-tools (0.133+deb10u1+nmu1) buster; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 13:45:28 +0800
