## initramfs-tools 0.134

=== debian/changelog ===
initramfs-tools (0.134) unstable; urgency=medium

  [ Ben Hutchings ]
  * [8aeae9f] hooks/resume: Disable resume when there are no suitable swap
    devices. Thanks to Trek <trek00@inbox.ru> (Closes: #916696)
  * [40f6647] hook-functions: Include all keyboard driver modules when
    MODULES=most. Thanks to Alper Nebi Yasak <alpernebiyasak@gmail.com>
  * [797e5fe] hook-functions: Include cros_ec_spi and SPI drivers when
    MODULES=most. Thanks to Alper Nebi Yasak <alpernebiyasak@gmail.com>
  * [f65627d] resume: Set plymouth status only if there is a suspend image
    (Closes: #928736)
  * [c31a908] hook-functions: Fix copy_file with target of "/bin"
    (Closes: #928689)
  * [8a29ef3] scripts/functions: Use "reboot -f" to reboot on panic.
    Thanks to Michael Niewöhner <linux@mniewoehner.de> (Closes: #923165)
  * [da9f53e] unmkinitramfs: Work around lz4cat filename check.
    Thanks to Dimitri John Ledkov <xnox@ubuntu.com> (Closes: #930366)
  * [cf7bb4b] initramfs-tools-core: Depend on logsave or older e2fsprogs
    (Closes: #932854)
  * [8570718] update-initramfs(8): Document -d option as "delete" instead of
    "remove"
  * [fffe514] update-initramfs(8): Update description of "-k all" option

  [ Benjamin Drung ]
  * [5e94f22] autopkgtest: Check also
    /usr/share/initramfs-tools/{hooks,scripts}

  [ Alper Nebi Yasak ]
  * [994d698] hook-functions: Include extcon-usbc-cros-ec when MODULES=most
  * [4e3496a] hook-functions: Include extcon drivers when MODULES=dep

  [ Uwe Kleine-König ]
  * [37dcf3d] mkinitramfs: suppress warning when using bzip2 or lzma
    (Closes: #930754)

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 28 Jul 2019 01:10:56 +0100
