=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Uploaders: Michael Prokop <mika@debian.org>, Ben Hutchings <ben@decadent.org.uk>
 Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
-Build-Depends: debhelper (>= 9), bash-completion
+Build-Depends: debhelper (>= 9), bash-completion, shellcheck
 Rules-Requires-Root: no
 Standards-Version: 4.1.5
 Vcs-Browser: https://salsa.debian.org/kernel-team/initramfs-tools
@@ -26,7 +26,7 @@
 Architecture: all
 Multi-Arch: foreign
 Recommends: ${busybox:Recommends}, pigz
-Depends: klibc-utils (>= 2.0.4-8~), cpio (>= 2.12), kmod, udev, coreutils (>= 8.24), e2fsprogs, ${misc:Depends}
+Depends: klibc-utils (>= 2.0.4-8~), cpio (>= 2.12), kmod, udev, coreutils (>= 8.24), logsave | e2fsprogs (<< 1.45.3-1~), ${misc:Depends}
 Suggests: bash-completion
 Breaks: initramfs-tools (<< 0.121~), ${busybox:Breaks}
 Replaces: initramfs-tools (<< 0.121~)
