=== debian/tests/control ===
Tests: shellcheck
Depends: @, shellcheck
Restrictions: superficial
