## initramfs-tools 0.136ubuntu1

=== debian/changelog ===
initramfs-tools (0.136ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Make busybox-initramfs a real runtime dependency, fixing
      kernel install failures with cryptsetup
    - support mounting of loopback devices via loop*= parameters
    - Drop hooks/keymap, scripts/init-top/keymap, and associated code;
      console-setup takes care of this in Ubuntu.
    - Add a new 'fixrtc' script that tries to set the system clock forward
      based on the last mount time of the root disk; without this kludge,
      systems without a working RTC will end up in a perpetual reboot loop.
    - Set hostname at boot, for the benefit of mdadm autoassembly.
    - Allow scripts and hooks to specify OPTION=VAR, and unless VAR is set
      to something other than "n", the script will not be included.
    - Restore the framebuffer hook and script, copying KMS and other
      framebuffer drivers into the initramfs, but make them optional; you
      need to set FRAMEBUFFER=y for these to be included.
    - Add hwaddr= alias for BOOTIF= for compatibility.
    - Automatically blacklist vga16fb when vga= or video= specified on
      kernel command-line.
    - add squashfs to list of 'most' modules
    - Add vfat and nls modules to the initramfs.
    - Add Hyper-V paravirtualised device drivers to the initramfs to allow
      booting of stock images in a Hyper-V guest.
    - ppc64el: enable PowerPC NX Crypto Coprocessor
    - Add mountroot failure support, to allow meaningful messages when no
      root device can be found.
    - resume: only resume when the partition contains a resume image
    - Add new initramfs-tools-bin package containing a binary that uses
      libudev to wait for udev to create the udev device, or wait for udev
      to finish processing if we catch it in the act, and returns the
      filesystem type as already probed by udev.
    - local_device_setup: use wait-for-root if it supports the device alias
      type
    - Incorporate rzscontrol from compcache so that we can control current
      ramzswap devices.
    - Support loading compcache from the initramfs.
    - debian/control: update Vcs-* links for Ubuntu.
    - Set executable bit on resume script in local-premount, which MoM seems
      to consistently drop
    - Add support for uppercase and lowercase uuids.
    - init: Don't interpret "rootdelay" as a static sleep.
    - scripts/local: Let rootdelay determine the wait-for-root timeout.
    - Increase rootdelay to 180s on powerpc/ppc64/ppc64el
    - Support roottimeout= as the authoritative name for rootdelay= since
      the Ubuntu interpretation of rootdelay is *not* a delay and this
      causes inconsistent behavior depending on whether the kernel or an
      initramfs is interpreting it.
    - scripts/functions: by default, when setting up networking, use dhclient
      if we're asked to do DHCP explicitly, or if we otherwise are expected
      to do things automatically.
    - scripts/functions: make sure we can try to start all available and
      suitable interfaces if ip= isn't set when setting up the network, and
      exit as soon as we get an IP address.
    - scripts/functions: for configure_networking:
      - split out IPv6 options in its own cmdline parameter: ip6= ; always
        use dhclient in this case if the value set is anything other than
        'off' or 'none'. Furthermore, parse anything other than 'on', 'dhcp'
        or 'any' as the name of an interface.
      - rework the stop conditions so that we properly handle the ROUNDTTT
        loop, timing out after a short period of time and trying again
        after a short sleep.
      - add a 'done' parameter for both ip= and ip6= so that we can properly
        exit the ROUNDTTT loop once we know that either there is no work to
        do, or that we've achieved what we wanted (that is, to bring up IPv4,
        IPv6, or possibly both).
      - Do not handle ip=rarp specially (ipconfig hasn't supported it for
        some time)
      - Call dhclient in simple cases for IPv4 (this makes some small
        observable changes -- for example ip=bootp will now make a DHCP
        request too -- but nothing that seems important).
      - Do not let dhclient processes hang around past the pivot and have
        them respect the shorter timeouts ipconfig was given.
    - hook-functions, mkinitramfs, scripts/functions: support usage of dns
      after configure_networking.
    - Fix resuming a hibernate session from a swapfile
    - scripts/functions: write netplan config files to /run/netplan for
      network devices configured with configure_networking.
    - Add some autopkgtests for the network configuration processing.
    - Work out the kernel modules required to support ZFS filesystems and
      add them as necessary.
    - debian/initramfs-tools.postinst: remove orphaned old-dkms initrd files
      in /boot.
    - scripts/functions: include a new option to skip enslaved network
      devices.
    - Fix PATH to include /usr/local.
    - Add modules for nvme path components on multipath nvme.
    - Don't recommend pigz, which is in universe.
    - Suppress shellcheck SC1010 errors, returning lots of false-positives on
      use of 'done' as a word.
    - Drop usage of klibc-utils' fstype in favor of always using udev blkid.
    - Use set -a/+a around loading conf snippets, to autoexport hook
      configuration variables. This thus allows packaged hooks to configure
      each other.
    - Auto activate qeth devices on s390x hosts, when using ip= ip6= command
      lines.
    - Switch default initramfs compression to lz4, faster than the current
      default gzip.
    - Add support for creating VLANs via vlan=eth0.1:eth0 on kernel
      commandline, and as VLAN= conf.d snippet.
    - Add support for panic=-1 value
    - debian/{control,rules}: Don't run shellcheck on i386 to avoid pulling
      ghc into our minimal supported set for the pruned architecture.

